Bug 175369 - Kernel update 2.6.14-1.1644_FC4 kernel panic with init 2.85
Kernel update 2.6.14-1.1644_FC4 kernel panic with init 2.85
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-09 10:41 EST by Chitlesh GOORAH
Modified: 2015-01-04 17:23 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-14 09:28:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chitlesh GOORAH 2005-12-09 10:41:07 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8) Gecko/20051129 Fedora/1.5-1 Firefox/1.5

Description of problem:
After reboot Kernel panic with Init 2.85

Version-Release number of selected component (if applicable):
kernel-2.6.14-1.1644_FC4

How reproducible:
Always

Steps to Reproduce:
1.Reboot
2.
3.
  

Actual Results:  FC4 refuses to boot. System freezes.

Expected Results:  Boots normally

Additional info:
Comment 1 Dave Jones 2005-12-10 01:02:01 EST
please remove 'quiet' from the boot command line, and tell me the last things
that it prints out before the panic.

Also, what does your /etc/modprobe.conf look like, and what disk hardware do you
have ?
Comment 2 Chitlesh GOORAH 2005-12-10 08:52:35 EST
The following is what I have on the screen:
Mkrootdev: failed to open /proc/sys/kernel/real-root-dev: 2
Mounting root filesystem
mount error 2 mounting ext3
Switching to new root
getKernelCmdLine: failed to open /proc/cmdline: 2
getKernelCmdLine: failed to open /proc/cmdline: 2
Error opening /dev/console!!!!: 2
error dup2'ing fd of 0 to 0
error dup2'ing fd of 0 to 1
error dup2'ing fd of 0 to 2
unmounting old /proc
Error unmounting old /proc: 22
forcing unmount of /proc
unmounting old /sys
Error unmounting old /sys: 22
forcing unmount of /sys
switchroot: mount failed: 22
kernel panic – not syncing : Attempted to kill init !
 [<c011a8b8>] panic+0x45/0x1b4
 [<c011bb25>] profile _task_exit+0x35/0x48
 [<c011d696>] do_exit+0x369/0x3b8
 [<c014d90e>] do_munmap+0xcc/0x100
 [<c011d73a>] do_group_exit+0x29/0x90
 [<c0102edd>] syscall+0x7/0xb

My /etc/modprobe.conf is 
alias eth0 sis900
alias snd-card-0 snd-intel8x0
options snd-card-0 index=0
options snd-intel8x0 index=0
remove snd-intel8x0 { /usr/sbin/alsactl store 0 >/dev/null 2>&1 || : ; };
/sbin/modprobe -r --ignore-remove snd-intel8x0
alias usb-controller ehci-hcd
alias usb-controller1 ohci-hcd
alias ieee1394-controller ohci1394
alias eth1 usbnet

my hardware : (laptop)
http://support.packardbell.com/fr/mypc/?PibItemNr=platform_Triton_NT&PibLinkGroup=2000#show
Comment 3 Dave Jones 2005-12-12 18:12:08 EST
does the test kernel at http://people.redhat.com/davej/kernels/Fedora/FC4/  work ?
Comment 4 Chitlesh GOORAH 2005-12-13 02:13:43 EST
I do have the same thing. 
but now I did a mistake when I have installed the given kernel + devel. 
I did rpm -Uvh kernel.* 
but actually it replaced my previous ones, at least what grub says. I can't 
boot anymore. 
Comment 5 Chitlesh GOORAH 2005-12-13 02:14:29 EST
I do have the same thing. 
but now I did a mistake when I have installed the given kernel + devel. 
I did rpm -Uvh kernel.* 
but actually it replaced my previous ones, at least what grub says. I can't 
boot anymore. 
Comment 6 Chitlesh GOORAH 2005-12-14 07:06:36 EST
Thanks. I reinstalled FC4 now im running 2.6.14-1.1644_FC4.
Comment 7 Dave Jones 2005-12-14 09:28:08 EST
glad you got it working, thanks for the update.

Note You need to log in before you can comment on or make changes to this bug.